Forum > Lazarus Extra Components

RXnew: RXnew does not compile in Lazarus 2.0.10

<< < (3/5) > >>

wp:
I see. The format of lpk fille has been changed some time ago in Laz trunk. There is a "Maximize compatibility" checkbox in the package options of Laz trunk which had not been set for rxnew. Please try r7540 which I have just committed (I hope that Alex does not mind that I am modifying his package).

melwinek:
It works. I numbered <Items> as in the previous version and I added values in <RequiredPkgs Count = "4"> and <Files Count = "70">

folkeu08:
Hi,
I have installation errors with lazarus 2.0.12 on windows 7 64 bits.
Is this normal?
Thank you

wp:
Just checked installation of RxNew from Online-Package-Manager with Laz 2.0.10/fpc3.2.0/64 bit, and did observe a compilation error in unit ex_rx_xml_datapacket.pas: at line 137 there is a {$IFDEF FPC_FULLVERSION > 30200}. This is not correct, replace the {$IFDEF by {$IF, and the package will compile.

folkeu08:
Hi,
It's same problem in new lazarus 2.2.0
Thanks

Navigation

[0] Message Index

[#] Next page

[*] Previous page

Go to full version